#version 330 compatibility

in vec3 normal;
in vec2 texcoord;

uniform sampler2D gtexture;

/* RENDERTARGETS: 0 */

uniform float alphaTestRef = 0.1;

layout(location = 0) out vec4 color;

void main(){
  if(texture(gtexture, texcoord).a < alphaTestRef){
    discard;
  }

  color = vec4(normal, 1.0);
}